<?php

declare(strict_types=1);

namespace Dedi\SyliusMailAdminPlugin\EventListener\MailAdmin;

use Dedi\SyliusMailAdminPlugin\Event\DediMailAdminEvent;
use Sylius\Bundle\CoreBundle\Mailer\Emails;
use Symfony\Component\Routing\Router;
use Symfony\Component\Routing\RouterInterface;

class UserRegistrationPreRenderListener
{
    private RouterInterface $router;

    public function __construct(RouterInterface $router)
    {
        $this->router = $router;
    }

    public function __invoke(DediMailAdminEvent $event): DediMailAdminEvent
    {
        if (Emails::USER_REGISTRATION !== $event->getEmail()->getCode()) {
            return $event;
        }

        $data = $event->getData();

        $data['homepageUrl'] = $this->router->generate('sylius_shop_homepage', [], Router::ABSOLUTE_URL);

        $event->setData($data);

        return $event;
    }
}
