<?php

declare(strict_types=1);

namespace Dedi\SyliusMailAdminPlugin\Form\Mail;

use Dedi\SyliusMailAdminPlugin\Entity\MailTranslation;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class MailTranslationType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('senderAddress', EmailType::class, [
                'required' => true,
                'label' => 'dedi_sylius_mail_admin_plugin.email.sender_address',
            ])
            ->add('senderName', TextType::class, [
                'required' => false,
                'label' => 'dedi_sylius_mail_admin_plugin.email.sender_name',
            ])
            ->add('subject', TextType::class, [
                'required' => true,
                'label' => 'dedi_sylius_mail_admin_plugin.email.subject',
            ])
            ->add('content', TextareaType::class, [
                'required' => false,
                'label' => 'dedi_sylius_mail_admin_plugin.email.content',
                'config_name' => 'dedi_mail_admin_plugin_config',
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => MailTranslation::class,
            'validation_groups' => ['default', 'sylius'],
        ]);
    }
}
